LINUX.ORG.RU

Songbird прекращает полноценную поддержку Linux

 , ,


0

0

Джорджи Аубергер (Georges Auberger) опубликовал в блоге проекта информацию о том, что разработка songbird для linux будет заморожена. Решение объясняется сложностями с одновременной поддержкой большого числа медиаформатов и устройств силами небольшой команды разработчиков. С этого момента разработчики будут сфокусированы на улучшенной поддержке Windows 7 и расширенного списка мобильных устройств.
Однако, по заверениям Джорджи, выход билдов Songbird под Linux будет продолжен, но без должного тестирования и скорей всего, не будет включать новых возможностей
Сообщение в блоге

>>> Сайт Songbird



Проверено: mono ()

Ответ на: комментарий от duott

... и будет есть память и падать на пользователя с любимыми сайтами. Ибо глюк имя его, как в прочем и оперы.

wfrr ★★☆ ()
Ответ на: комментарий от JackYF

Что 4.2-то? Вон в предыдущей бубунте у меня отлично работал UT2004 (хотя и пришлось доустанавливать «с++ библиотечку»), а в новой уже звук не пашет из-за пульса, рецепты не помогают. Кто виноват, что делать. Разработчик, естественно ничего переписывать не будет, ему это .овно мамонта даром не нужно.

a3 ()

Этот позор опенсурса (песнептиц) наконец-то RIP. Ну и х** ему в могилу.

anonymous ()
Ответ на: комментарий от mono

А в опере почти нет багов

Даже если под словом «почти нет» понимать 90% то всеравно звучит как 4.2

Вы web-разработкой занимаетесь?

wfrr ★★☆ ()

Linux community will discontinue support of songbird?

Хоть я им и не пользовался а ставил на посмотреть:

sudo zypper rm songbird


Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following package is going to be REMOVED:
songbird

1 package to remove.
After the operation, 44.6 MiB will be freed.
Continue? [y/n/?] (y):
Removing songbird-1.4.3-0.pm.1.17 [done]

r ★★★★★ ()
Ответ на: комментарий от a3

>Что 4.2-то? Вон в предыдущей бубунте у меня отлично работал UT2004 (хотя и пришлось доустанавливать «с++ библиотечку»), а в новой уже звук не пашет из-за пульса, рецепты не помогают. Кто виноват, что делать. Разработчик, естественно ничего переписывать не будет, ему это .овно мамонта даром не нужно.

В общем и целом - 4.2. Я уже который год обновляю свой Debian с десятками «С++ библиотечек» и софтом, который зависит от десятка из них. И всё запускается.

P.S. зачем в «бубунте» пульсаудио - я хз. Попробуй Debian.

JackYF ★★★★ ()
Ответ на: комментарий от wfrr

Статистику пожалуйста. Да и вообще - не работающие есть? Значит несовместимости присутствуют.

anonymous ()
Ответ на: комментарий от r

Ох блин, забыл, в амарок же строенная полноценная СУБД, несколько высокоуровневых интрепритируемых ЯП, движек векторной графики... плеер там хоть есть?

wfrr ★★☆ ()

75% треда держится на wfrr. Молодец, пока опровергнули одно 4.2, успеваешь вбросить ещё два :)

JackYF ★★★★ ()
Ответ на: комментарий от wfrr

>УважаемыЙ, twisted metal 95 года, запускается на winxp. Попробуйте на линуксе провернуть такоеже, я поржу.

Здесь ты не прав. Под линуксом нормально работает какой-нибудь Shogo 98 года, а под семёркой Aliens vs Predator 2 работает как будто это крузис, а не игра 2002 года. Как повезёт, особенно учитывая что для этого игры таскают за собой всё своё говно (что под линуксом, что под виндовсом — сейчас чуть ли не каждая современная игра несёт с собой копию msvcr)

Gary ★★★★★ ()

Songbird прекращает полноценную поддержку Linux


Да шли бы они со своей поддержкой, в линуксе итак навалом адекватных плееров, поделие видел, ставил, снес в ужасе сразу же. (правда видел давно и под венду, пытался найти аналог амарока 1.4 туда)

anonizmus ()
Ответ на: комментарий от anonymous

Да и вообще - не работающие есть?

Уважаемый, индусы могут так написать софт, что он будет несовместим даже с темже точно компом но в другом часовом поясе или с другой локалью. Тут вам надо либо таки оперделять среднее значение несовместимостей, либо выбрать другой критерий — стабильность API и переходить на венду, ибо в линуксе даже API как такового нету.

wfrr ★★☆ ()
Ответ на: комментарий от wfrr

>В линуксе даже родные не запускаются тупо после обновления какойнить c++ библиотечки, от коей они зависят.

wfrr, вы статические сборки когда-нибудь видели? они запускаются всегда, правда весят больше...

bohm ★★★★★ ()
Ответ на: комментарий от Gary

Здесь ты не прав.

Что, у вас под XP twisted metal не работает?

Под линуксом нормально работает какой-нибудь Shogo 98 года,

Нативно, или в «не эмуляторе»? А то я уже вижу как очередная волна митана сдувает все лужи с улиц питера. Кстати, уважаемый, вы не упомянули работает ли все это в XP.

wfrr ★★☆ ()
Ответ на: комментарий от bohm

wfrr, вы статические сборки когда-нибудь видели? они запускаются всегда, правда весят больше...

Уважаемый, вы так скатитесь до livecd с контерстрайком, ибо только это есть настоящая статическая спорка. А то даже пердсловутая опера у меня на работе после очердного обновления требует пол иксов проапдейтить или еще какую неведомую либо, хотя там блин статическая сборка, так ее перетак.

wfrr ★★☆ ()

Господа! Во-первых - лицензия GPL. Уж неужели они будут с остервенением препятствовать приему патчей поддержки Linux???

Тогда такой вопрос: они заявляют - надо поддерживать больше модильный устройств. Итак, что мы видим http://getsongbird.com/gadgets/ - Nokia N900. Это чистой воды Linux, убедился лично. А особенно в свете появления MeeGo. КАК они будут поддерживать эти устройства, бросив поддержку Linux???

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от a3

> а в новой уже звук не пашет из-за пульса

из-за пульса

пульса



Ну ты понел. Он не нужен же.

pevzi ★★★★★ ()
Ответ на: комментарий от r

Квоты:

I was translating Songbird into Hebrew, and some “healthy considerations” made me stop translating it for you.


I use Windows 7 and sometimes boot to Ubuntu. Had Songbird on both. Now will look for an alternative on both.


Just finished uninstalling songbird. Spent the last couple of years telling all my linux buddies that songbird was ... the best media player available for linux. Also promoted it through my blog very often.


So you’re now providing an iTunes alternative, but only on the platforms that iTunes runs on? So long, been good to know ya.


I translated it into my languace, but if I can’t use it anymore, why I should continue contributing to it?

r ★★★★★ ()
Ответ на: комментарий от wfrr

> А то даже пердсловутая опера у меня на работе после очердного обновления требует пол иксов проапдейтить

Хаха, Opera это ярчайший пример НАИХУДШЕЙ статической сборки которую когда-либо мне приходилось видеть. Уж не удивительно что это плодит заблуждения, имеющие частично-веские основания, среди братьев наших меньших - подоконников...

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

Там какраз свой особый линукс, там жестко определенный API и там хоть както можно завялять поддержку, а не так как в этом зоопарке

wfrr ★★☆ ()
Ответ на: комментарий от wfrr

>Что, у вас под XP twisted metal не работает?

Я привёл другой пример — Aliens vs. Predator 2 и Windows 7 :) Одна игра ничего не решает

Нативно, или в «не эмуляторе»?

Нативно конечно, но только с vsync :)

Кстати, уважаемый, вы не упомянули работает ли все это в XP

Не знаю, не проверял

Ты наверное не понял, что я написал. Одна игра там или здесь — это не показатель. Во многом зависит от стремления разработчиков сохранить эту самую совместимость.

Gary ★★★★★ ()
Ответ на: комментарий от Nebuchadnezzar

> Оно и под XP через раз запускается

Ага. Да и если запускается, то обычно с багнутыми цветами. Кривые руки Team17? Нуну.

pevzi ★★★★★ ()
Ответ на: комментарий от wfrr

> Приведите пример наилучшей, а я поржу. Только не надо про HelloWrold

Беру крупнокалиберный пример - Matlab... Уж сколько я ни обновлял свою Ubuntu, а оно как работало без переустановки полтора года так и работает и переставать не думает.

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от helios

как-то пробовал. неоправданно тяжёлый софт для своей задачки

как раз для тяжёлой вынь7, пусть там и остаётся

Sith ★★★★★ ()
Ответ на: комментарий от wfrr

> А то даже пердсловутая опера у меня на работе после очердного обновления требует пол иксов проапдейтить или еще какую неведомую либо, хотя там блин статическая сборка, так ее перетак.

Нимкогда не видел как рациональный сьюит для венды говорит под вендой (неподдерживаемая ОС) и апгрейдит 400 метров файлов венды чтобы запуститься?

r ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

>КАК они будут поддерживать эти устройства, бросив поддержку Linux???

А как моторола выпускала устройства пачками на EZX без малейшей поддержки линукс? Как куча линукс-девайсов имеют сингронизацию только с активсинком?


r ★★★★★ ()
Ответ на: комментарий от wfrr

> Уважаемый, извольте собрать статистику. А суждение по одному

неудачному случаю удел фанатикой и амозгликов.


Гениальная фраза. Теперь примени ее к своим постам где ты делаешь выводы о чем то на основании 1(одного) извращенного плеера на XUL :):):)

kernel ★★☆ ()
Ответ на: комментарий от pevzi

> Worms World Party, 2001 год. На семерке не работает. Это только один из множества примеров, просто первый пришел в голову.

Достал древний CD, Поставил Worms World Party, поставил режим совместимости и с удовольствием поиграл под Windows7. Руки кривые ? или пример неудачный ?

WindowsXP ★★ ()
Ответ на: комментарий от r

> А как моторола выпускала устройства пачками на EZX без малейшей поддержки линукс? Как куча линукс-девайсов имеют сингронизацию только с активсинком?

Намек не понял... Есть N900. Это Linux. Linux они бросают. Но заявляют поддержку N900. Вопрос: WTF???

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от kernelpanic

Модератор-тролль. О времена, о нравы!

мало того еще слово Линукс бывает каверкает...

Sith ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

>Намек не понял... Есть N900. Это Linux. Linux они бросают. Но заявляют поддержку N900.

Поддержку не в смсыле они там запустятся, а в смысле музычку синхронизировать смогут между вендой и N900.

r ★★★★★ ()

>если бы не открытая в свое время мозилла, то сейчас бы был один браузер IE и куча поделий вида w3m

если бы не открытая в свое время мозилла, то сейчас бы у Оперы было 80% рынка браузеров (и $40 за отключение рекламных баннеров)

ist76 ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

Ага, или maple

$ ls ~/maple13/bin.X86_64_LINUX/
ATHLON641024SSE2    libclapack.so        libgmp.so.3         libjogl_cg.so       libmaplejava.so   libmrt.so         libode2mp.so         libstatsmp.so      mfsd       mplothplj  nprofile
ATHLON641024SSE2_2  libclapackwrapmp.so  libgmp.so.3.4.1     libjogl.so          libmaple.so       libmsock.so       libode2.so           libtransform.so    mint       mplotjpeg  P4EM64TSSE3
ATHLON641024SSE3    libclapackwrap.so    libgraphtheory.so   libjopenmaple.so    libmclient.so     libmstring.so     libplotchar.so       libtypesetting.so  mjava      mplotpcx   processor
ATHLON641024SSE3_2  libcuhre.so          libHelpExamples.so  liblinalg2mp.so     libmdbm.so        libmtranslate.so  libprocessor64.so    libupdate.so       mplotbmp   mplotpov   profile
cmaple              libF77.so            libhf.so            liblinalg2.so       libmodLA.so       libnag2mp.so      librootfindinghw.so  libutils.so        mplotchar  mplotps    update.properties
libarraytools.so    libfgbuni.so         libI77.so           liblinalgmp.so      libmodpn.so       libnag2.so        librootfindingmp.so  libwks.so          mplotcps   mplottek   X8664SSE2
libcblas.a          libfsolve.so         libint2.so          liblinalg.so        libmpfr.so.1      libnagmp.so       librs_mpl.so         lmutil             mplotdxf   mplotwmf
libcblasmp.so       libgluegen-rt.so     libint.so           libmaplec.so        libmpfr.so.1.0.0  libnag.so         libsdmp.so           maplesys.ini       mplotgif   mplotx11
libclapackmp.so     libgmp.so            libjogl_awt.so      libmaplefortran.so  libmplfloat.so    libnumeric2mp.so  libstatshw.so        matlink.so         mplothpgl  mserver
Gary ★★★★★ ()
Ответ на: комментарий от WindowsXP

Ещё у виндузятников есть msact, но это совершенно неправильно и не юзер-френдли :)

Gary ★★★★★ ()
Ответ на: комментарий от kernelpanic

> Модератор-тролль. О времена, о нравы!

ОНО мне тоже сразу не понравился.

Погоняло сразу тролля выдает

paran0id ★★★★★ ()
Ответ на: комментарий от wfrr

>Не требует mysql-server, т.е. обходится без продуктов оракла.

Эм, а че, реально Амарок требует mysql-сервер?

anonymous ()
Ответ на: комментарий от anotheranonymous

Дооо. Ну возьми какое-нибудь говно из 90х годов и попробуй собрать новым автотулзом, а я посмеюсь. А конвертация солюшена между студиями делается правкой номера версии в заголовке xml файла. Кстати нормальные проекты используют cmake, тогда действительно обеспечивается кроссплатформенность и файл проекта один под все платформы.

Reset ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.